fstrace_setset(8)

NAME
fstrace setset - Sets the status of an event set

SYNOPSIS
fstrace setset [-set <set name>+] [-active] [-inactive]
    [-dormant] [-help]

fs set [-s <set name>+] [-a] [-i] [-d] [-h]

DESCRIPTION
The fstrace setset command sets the status of the cm kernel event set on the local machine, which determines whether trace messages are recorded in the log buffer in kernel memory.

OPTIONS
Names the event set for which to set the status. The only acceptable value cm, which is also the default if this argument is omitted. Enables tracing for the event set and allocates kernel memory for the associated trace log buffer. Provide one of this flag, the -inactive flag, or the -dormant flag. Temporarily disables tracing for the event set, but does not change the allocation of kernel memory for the associated trace log buffer. Provide one of this flag, the -active flag, or the -dormant flag. Disables tracing for the event set and frees the kernel memory previously allocated for the associated trace log buffer. Provide one of this flag, the -active flag, or the -inactive flag. Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example sets the cm event set's status to inactive:

   # fstrace setset -set cm -inactive

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
the fstrace(8) manpage, the fstrace_lsset(8) manpage, the fstrace_setlog(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.